<ion-header>
  <ion-toolbar>
    <ion-title>registro</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding" >
  <form (ngSubmit)="registro( fRegistro )" #fRegistro="ngForm">
    <ion-grid>
      <ion-row color="primary" justify-content-center>
        <ion-col align-self-center size-md="6" size-lg="5" size-xs="12">
         
          <div padding>
            <ion-item>
              <ion-input name="name" type="test" placeholder="Seudonimo"  [(ngModel)]="registerUser.name"
              required></ion-input>
            </ion-item>
            <ion-item>
              <ion-input name="email" type="email" placeholder="su@correo.com"  [(ngModel)]="registerUser.email"
              required></ion-input>
            </ion-item>
            
            <ion-item>
              <ion-input name="password"  type="password" placeholder="Contraseña"  [(ngModel)]="registerUser.password"
              required></ion-input>
            </ion-item>

            <ion-item>
              <ion-input name="password_confirmation"  type="password" placeholder="Confirmar contraseña"  [(ngModel)]="registerUser.password_confirmation"
              required></ion-input>
            </ion-item>
            
          </div>
          <div padding>                        
            <ion-button expand="block"  fill="solid" shape="round" type="submit" >Registrar</ion-button>
            <ion-button (click)="login()" expand="block" fill="solid" shape="round">
              Login
            </ion-button>            
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
